ACOSH(3)

NAME
acosh, acoshf - inverse hyperbolic cosine

SYNOPSIS

#include <math.h>

double acosh(double x);

float acoshf(float x);

DESCRIPTION

acosh calculates the inverse hyperbolic cosine of x. acosh is defined as

     log(x + sqrt(x*x-1))

x must be a number greater than or equal to 1.

acoshf is identical, other than taking and returning floats.

RETURNS

acosh and acoshf return the calculated value. If x less than 1, the return value is NaN and errno is set to EDOM.

PORTABILITY

Neither acosh nor acoshf are ANSI C. They are not recommended for portable programs.